Some carriers support billing shipping costs to a third party, which could be the recipient or some other entity. This feature is often useful for 3PLs.
Billing to a third party is considered an advanced option. To see if the carriers you use support third-party billing, use the get carrier options call (GET /v2/carriers/{carrier_id}/options) for each carrier ID you wish to use.
- You must have the third party's account number (which you'll use as the value in the
bill_to_accountproperty).- Note that this requirement does not apply if you are using FedEx Ground Collect.
- You must include the following properties in the
advanced_optionsobject:bill_to_accountbill_to_country_codebill_to_party(which should be set tothird_party)bill_to_postal_code
POST /v2/labels
POST /v2/labels HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"shipment": {
"carrier_id": "se-123890",
"service_code": "ups_ground",
"ship_to": {
"name": "Amanda Miller",
"phone": "555-555-5555",
"address_line1": "525 S Winchester Blvd",
"city_locality": "San Jose",
"state_province": "CA",
"postal_code": "95128",
"country_code": "US",
"address_residential_indicator": "yes"
},
"ship_from": {
"company_name": "Example Corp.",
"name": "John Doe",
"phone": "111-111-1111",
"address_line1": "4009 Marathon Blvd",
"address_line2": "Suite 300",
"city_locality": "Austin",
"state_province": "TX",
"postal_code": "78756",
"country_code": "US",
"address_residential_indicator": "no"
},
"packages": [
{
"weight": {
"value": 1.0,
"unit": "ounce"
}
}
],
"advanced_options": {
"bill_to_account": "123456789",
"bill_to_country_code": "US",
"bill_to_party": "third_party",
"bill_to_postal_code": "78756"
}
}
}Response
The label response does not include the bill_to_* advanced option properties. While these values are sent to the carrier, they are not returned (though the resulting label will typically indicate the options added to the shipment).
{
"label_id": "se-57064247",
"status": "completed",
"shipment_id": "se-150849648",
"ship_date": "2019-07-25T05:00:00.000Z",
"created_at": "2019-07-25T15:24:46.657Z",
"shipment_cost": {
"currency": "usd",
"amount": 0.00
},
"insurance_cost": {
"currency": "usd",
"amount": 0.0
},
"tracking_number": "787943902587",
"is_return_label": false,
"is_international": false,
"batch_id": "",
"carrier_id": "se-123890",
"service_code": "ups_ground",
"package_code": "package",
"voided": false,
"voided_at": null,
"label_format": "pdf",
"label_layout": "4x6",
"trackable": true,
"carrier_code": "ups",
"tracking_status": "in_transit",
"label_download": {
"pdf": "https://api.shipstation.com/v2/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.pdf",
"png": "https://api.shipstation.com/v2/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.png",
"zpl": "https://api.shipstation.com/v2/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.zpl",
"href": "https://api.shipstation.com/v2/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.pdf"
},
"form_download": null,
"insurance_claim": null,
"packages": [
{
"package_code": "package",
"weight": {
"value": 1.00,
"unit": "ounce"
},
"dimensions": {
"unit": "inch",
"length": 0.0,
"width": 0.0,
"height": 0.0
},
"insured_value": {
"currency": "usd",
"amount": 0.00
},
"tracking_number": "787943902587",
"label_messages": {
"reference1": null,
"reference2": null,
"reference3": null
}
}
]
}